# Class UiInputs

- Defined in src/ui-inputs.ts:17

#####
Index

### Constructors

constructor

### Properties

events
inputsController
scene

### Methods

buttonAb
buttonCycleOption
buttonDirection
buttonInfo
buttonMenu
buttonSpeedChange
buttonStats
buttonTouch
doVibration
getActionsKeyDown
getActionsKeyUp
init
listenInputs

## Constructors

### constructor

- new UiInputs(scene, inputsController): UiInputs

- #### Parameters

  - scene: default
  - inputsController: InputsController

  #### Returns UiInputs

  - Defined in src/ui-inputs.ts:22

## Properties

### `Private` events

events: EventEmitter

- Defined in src/ui-inputs.ts:19

### `Private` inputsController

inputsController: InputsController

- Defined in src/ui-inputs.ts:20

### `Private` scene

scene: default

- Defined in src/ui-inputs.ts:18

## Methods

### buttonAb

- buttonAb(button): void

- #### Parameters

  - button: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:109

### buttonCycleOption

- buttonCycleOption(button): void

- #### Parameters

  - button: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:172

### buttonDirection

- buttonDirection(direction): void

- #### Parameters

  - direction: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:103

### buttonInfo

- buttonInfo(pressed?): void

- #### Parameters

  - pressed: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:127

### buttonMenu

- buttonMenu(): void

- #### Returns void

  - Defined in src/ui-inputs.ts:139

### buttonSpeedChange

- buttonSpeedChange(up?): void

- #### Parameters

  - up: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:182

### buttonStats

- buttonStats(pressed?): void

- #### Parameters

  - pressed: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:117

### buttonTouch

- buttonTouch(): void

- #### Returns void

  - Defined in src/ui-inputs.ts:113

### doVibration

- doVibration(inputSuccess, vibrationLength): void

- #### Parameters

  - inputSuccess: boolean
  - vibrationLength: number

  #### Returns void

  - Defined in src/ui-inputs.ts:51

### getActionsKeyDown

- getActionsKeyDown(): ActionKeys

- #### Returns ActionKeys

  - Defined in src/ui-inputs.ts:57

### getActionsKeyUp

- getActionsKeyUp(): ActionKeys

- #### Returns ActionKeys

  - Defined in src/ui-inputs.ts:80

### init

- init(): void

- #### Returns void

  - Defined in src/ui-inputs.ts:28

### listenInputs

- listenInputs(): void

- #### Returns void

  - Defined in src/ui-inputs.ts:33